package org.jeecg.modules.fbsWorkshopDispatchList.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 车间派工单
 * @author： jeecg-boot
 * @date：   2020-10-13
 * @version： V1.0
 */
public interface FbsWorkshopDispatchListMapper extends BaseMapper<FbsWorkshopDispatchList> {

    int updateState(@Param("state")String state,@Param("id") String id);

    /**
    * @Author chenchuang
    * @Description //TODO 根据生产订单查询基本数据以及总的任务数量 总的标准工时
    * @Date 2020/10/17 11:34
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList>
    */
    List<FbsWorkshopDispatchList> getSumDispatch();
}
